简介   最近好多人都问到node怎么同时安装多个版本? 如何配置node的环境变量,如何自如的在多个版本中切换node?还有就是自己在做appium自动化的时候,有时候会因为node的版本过高或者是太低用命令启动appium时候而报错,试了一下是否可以安装一个高版本和低版本的node在一个系统中,你如果需要高版本的切换高版本的node,如果需要低版本的切换低版本的node,这样这个问题就会完美解决了,因为这种种原因,所以宏哥打算写一篇文章来专门讲解如何安装多个版本的node!!! node下载 node版本可以去 node中网网 下载 或者在这里下载 //nodejs.org/dist/ 下载后得到啦安装包,有32位和64位的多版本安装包,用户根据自己系统自行选择 安装注意事项 安装多个版本的node的时候一定要从低版本开始安装,如果你先安装高版本的话会出现许多问题,如果你已经安装啦,先卸载掉然后进行下面的步骤 卸载node 因为宏哥之前已经安装了最新的高版本的node,为了避免不必要的麻烦,宏哥决定将其先卸载掉,然后安装低版本的node,最后再次安装高版本的node。 1.就是你在安装这个软件以后,这个软件就自己带有一个卸载的程序,你只要点击:开始---程序---找到这个程序----上面就会有这个程序的卸载程序。  2.就是通过“卸载程序”来卸载,这个程序一般的WINDOS,自己都会带这个程序,你点:开始--控制面板---卸载程序----找到这个要卸载的程序---点“卸载”就OK了。  找到node,点击“卸载” 3.就是利用第三方软件。我用腾讯电脑管家举例(免费安全软件,杀毒+管理2合1)。打开腾讯电脑管家——工具箱——软件卸载。电脑管家是直接把软件卸载同时把注册列表也就清理了。(有的软件重启后会自动删除)卸载完之后,会有残留,在实行强力卸载     卸载完成 1.安装目录下查看安装文件完全删除干净   2.node -v 命令,查看node的版本   3.where node 命令检查   以上任意一种方法证明,node成已经成功的从你的电脑中卸载成功,你可以放心的安装低版本的node了。 安装node步骤 1.在安装node之前,我先选择一个node安装目录,我要安装到D盘下,所以我在D盘中新建啦一个node的目录,并且在里面创建啦一个6.9.4的文件夹,因为我一会要在这个文件夹中安装6.9.4版本的node 2.开始安装:打开下载好的node6.9.4的安装包,一直点击下一步,直到出现安装路径: 安装路径更改我们创建的那个4.42文件夹的路径,然后一路下一步,安装成功后文件夹内出现啦好多文件,这个时候node就安装好啦 把里面的路径改成 D:\NODE\6.9.4\ node安装好后是不是就能用啦呢?当然不是,你还需要配置环境变量,还是宏哥说的那个老方法: 计算机=> 属性=> 高级系统设置=>环境变量  自己将node环境变量配置好。     在系统变量中点击新建,变量名:node_6.9.4,变量值就是你6.9.4版本的安装目录,也就是D:\nNODE\6.9.4\ 点击确定后再系统变量中找到path 变量,选中后点击编辑 看到path变量中的值啦嘛?我们把刚才新建的变量添加到这里面,如何添加呢? 一对%号,中间写上刚才新建的变量明,然后把它(%node_6.9.4%)放到path中的最后面,一定不能忘啦中间的;号,每条变量中间都应该有个; 放好后点击确定,然后咱们打开CMD (win+R);输入: node -v 如果出现啦版本号,那么我们的第一个node已经安装完成并且可以正常使用啦; 安装多个版本:第一个安装好后安装第二个node版本; 在安装新的版本之前,我们需要做的就是先找到之前的那个版本的安装目录,也就是D:\NODE\6.9.4,然后把6.9.4这个文件夹给他重命名(因为你如果不修改名字的话你在安装新版本的时候无论你安装在什么地方,都会把之前的那个干掉覆盖掉): 修改后再创建一个新的目录,我给他取名叫12.0.0(因为我打算下一个安装12.0.0版本的),因为现在最新的快要13了,所以宏哥打算安装一个12的 接下来开始安装12.0.0就可以啦,还是和上面低版本安装过程一样,直到配置完环境变量后我们的12.0.0就安装好啦。 安装好12.0.0的版本后咱们再回来吧6.9.4的那个目录改回来; 验证安装的node 验证我们目前是否是安装了两个node版本:where node ,和当前使用的版本:node -v  where node where node 出现啦两个,说明我们确实是安装啦两个版本的node,node -v 告诉我们当前使用的是哪个版本!!! 如果我们还要在安装其他版本的话方法也是一样的,按照上面的就可以啦 多个node版本如何切换 假如我们现在安装了许多的node,但是当前的node版本不是我目前想用的怎么办呢?如何切换node版本呢? 1.打开环境变量,找到path.你想用哪个版本,就把哪个node变量放到所有node变量的最前面,比如我之前的path是%node_4.42%;%node_5.11%,我用的就是4.42的版本,我如果想 用12.0.0的版本的话我就得把path里面的%node_6.9.4%;%node_12.0.0%改成%node_12.0.0%;%node_6.9.4% 2 这时候我们再看看: where node和node -v 这就是我们的安装多个版本node和node之间的版本切换; 小结 1.为啥会干掉了上一个版本了,不知道安装过程留意了没有,在安装第二个node的时候,自动创建了上次安装的目录,这样就会覆盖上一个node,从而达到干掉它的目的。 2.关于版本切换,这里宏哥交给大家一个简单的方法,Windows10系统啊,直接选中那个变量,通过右边的“上移”或者“下移”即可。 3.要活学活用,你可以按照宏哥的方法安装多个node,宏哥这里就安装了两个就够用了,有兴趣的、有时间的小伙伴或者童鞋们可以实践一下。   您的肯定就是我进步的动力。如果你感觉还不错,就请鼓励一下吧!记得点波 推荐 哦!!!(点击右边的小球即可!(^__^) 嘻嘻……)
转载自://www.cnblogs.com/du-hong/p/11417883.html